/* Stockage d'une lumiere directionnelle    */
/*                                          */
/* Auteur: Nicolas JANEY                    */
/* nicolas.janey@univ-fcomte.fr             */
/* Mars 2020                                */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "Lumiere.h"
#include "LumiereDirectionnelle.h"
#include "Dir3D.h"

/* Constructeurs                            */
LumiereDirectionnelle::LumiereDirectionnelle(void):Lumiere() {
  d = new Dir3D(0.0,0.0,-1.0);
}

LumiereDirectionnelle::LumiereDirectionnelle(LumiereDirectionnelle *ld):Lumiere(ld) {
  d = new Dir3D(ld->d);
}

/* Destructeur                              */
LumiereDirectionnelle::~LumiereDirectionnelle(void) {
  delete(d);
}

/* Methode d'affichage texte                */
void LumiereDirectionnelle::print(void) {
  Lumiere::print();
  printf(" - ");
  d->print();
}

